- 进入日志目录
```java
cd /data/log
```

- 查看某个时间段的日志文件
```java
ls -l wisdom-bill.log.2019-12-09*
```

- ls排序显示
```java
# 按时间排序（正序）
ls -lt
# 按时间排序（逆序）
ls -ltr
# 按大小排序
ls -lS
```

- 根据异常坐标uuid定位到报错的日志
```java
less wisdom-bill.log
# 如果是查看gz压缩包，则
zless wisdom-bill.log.2019-12-09.0.gz
# 按下"/"快捷键，输入uuid，然后回车，即可跳到发生错误的日志位置，按"n"快捷键继续跳转到下一个匹配的日志位置
```

- 查看日志并显示行数
```java
less -N wisdom-bill.log
```

- 查看行范围内的日志(如：查看1000到3000行的数据)
```java
cat wisdom-bill.log | head -n 3000 | tail -n +1000
# 显示行数
cat -n wisdom-bill.log | head -n 3000 | tail -n +1000
```

- 查看包含某关键字的日志
```java
# less形式查看
less wisdom-bill.log
# 按键盘快捷键"/",然后输入关键字，回车即可
# cat形式查看
cat wisdom-bill.log | grep '关键字'
```


