**流水记录**

---

 1.流水列表

> 展现不同账单的收入与支出，用以查看各笔流水的情况，其中涉及到不同操作之间流水的对应关系。
> 
> 流水按照方向分为：入账、出账、作废。其中就各自账单而言，账单收入记为入账，账单支出记为出账，作废概念基于流水未真实发生属于错误录入时进行的补充操作，作废后流水相关的账单需要恢复到流水发生前的状态，因此当流水产生了关联操作（）时则无法进行作废。正式上线后作废操作不允许跨月操作（存疑，待确定）
> 
> 流水按照账单类型分为：资产账单、预存款账单、押金账单、临时缴费账单、结余账单。
> 
> 流水按照业务行为分为：账单缴费、账单退费、账单作废、预存款缴费、预存扭转、预存款退费、预存款作废、 押金缴费、押金退费、押金结余、押金作废、临时缴费、临时账单退费、临时账单作废。
> 
> 流水的资金类型包括：线上（与其支付方式具体渠道。如线上分为：线上 银联支付、线上 支付宝支付等）、线下（以线下支付方式配置类型，如：线下 现金支付、线下 扫码支付等）、预存抵扣、预存回退、押金转入、扭转转出、扭转转入、结余。
> 
> 可根据业务类型、业务行为、资金类型等对流水进行筛选查找。
> 
> ![流水示意图](image/流水示意图.png)

 2.资产账单

> | 业务类型  | 业务行为   | 时间   | 收入   | 支出   | 资金类型   | 操作员     | 操作   |
> | ----- | ------ | ---- | ---- | ---- | ------ | ------- | ---- |
> | 资产账单  | 账单缴费   | 精确到秒 | 收入金额 | 空    | 线上支付方式 | 业务行为操作人 | 退费   |
> | 资产账单  | 账单缴费   | 精确到秒 | 收入金额 | 空    | 线下支付方式 | 业务行为操作人 | 退费作废 |
> | 资产账单  | 账单缴费   | 精确到秒 | 收入金额 | 空    | 预存抵扣   | 业务行为操作人 | 退费   |
> | 资产账单  | 账单退费   | 精确到秒 | 空    | 支出金额 | 线上支付方式 | 业务行为操作人 |      |
> | 资产账单  | 账单退费   | 精确到秒 | 空    | 支出金额 | 线下支付方式 | 业务行为操作人 |      |
> | 资产账单  | 账单退费   | 精确到秒 | 空    | 支出金额 | 预存回退   | 业务行为操作人 |      |
> | 资产账单  | 账单作废   | 精确到秒 | 收入金额 | 空    | 线下支付方式 | 业务行为操作人 |      |
> | 预存款账单 | 预存款缴费  | 精确到秒 | 收入金额 | 空    | 线上支付方式 | 业务行为操作人 |      |
> | 预存款账单 | 预存款缴费  | 精确到秒 | 收入金额 | 空    | 线下支付方式 | 业务行为操作人 | 作废   |
> | 预存款账单 | 预存款缴费  | 精确到秒 | 收入金额 | 空    | 押金转入   | 业务行为操作人 |      |
> | 预存款账单 | 预存扭转   | 精确到秒 | 收入金额 | 空    | 扭转转入   | 业务行为操作人 |      |
> | 预存款账单 | 账单退费   | 精确到秒 | 收入金额 | 空    | 预存回退   | 业务行为操作人 |      |
> | 预存款账单 | 预存款退费  | 精确到秒 | 空    | 支出金额 | 线上支付方式 | 业务行为操作人 |      |
> | 预存款账单 | 预存款退费  | 精确到秒 | 空    | 支出金额 | 线下支付方式 | 业务行为操作人 |      |
> | 预存款账单 | 账单缴费   | 精确到秒 | 空    | 支出金额 | 预存抵扣   | 业务行为操作人 |      |
> | 预存款账单 | 预存扭转   | 精确到秒 | 空    | 支出金额 | 扭转转出   | 业务行为操作人 |      |
> | 预存款账单 | 预存款作废  | 精确到秒 | 收入金额 | 空    | 线下支付方式 | 业务行为操作人 |      |
> | 押金账单  | 押金缴费   | 精确到秒 | 收入金额 | 空    | 线上支付方式 | 业务行为操作人 | 退费   |
> | 押金账单  | 押金缴费   | 精确到秒 | 收入金额 | 空    | 线下支付方式 | 业务行为操作人 | 退费作废 |
> | 押金账单  | 押金退费   | 精确到秒 | 空    | 支出金额 | 线上支付方式 | 业务行为操作人 |      |
> | 押金账单  | 押金退费   | 精确到秒 | 空    | 支出金额 | 线下支付方式 | 业务行为操作人 |      |
> | 押金账单  | 预存款缴费  | 精确到秒 | 空    | 支出金额 | 押金转出   | 业务行为操作人 |      |
> | 押金账单  | 押金结余   | 精确到秒 | 空    | 支出金额 | 结余     | 业务行为操作人 |      |
> | 押金账单  | 押金作废   | 精确到秒 | 收入金额 | 空    | 线下支付方式 | 业务行为操作人 |      |
> | 临时账单  | 临时缴费   | 精确到秒 | 收入金额 | 空    | 线上支付方式 | 业务行为操作人 | 退费   |
> | 临时账单  | 临时缴费   | 精确到秒 | 收入金额 | 空    | 线下支付方式 | 业务行为操作人 | 退费作废 |
> | 临时账单  | 临时缴费退费 | 精确到秒 | 空    | 支出金额 | 线上支付方式 | 业务行为操作人 |      |
> | 临时账单  | 临时缴费退费 | 精确到秒 | 空    | 支出金额 | 线下支付方式 | 业务行为操作人 |      |
> | 临时账单  | 临时缴费作废 | 精确到秒 | 收入金额 | 空    | 线下支付方式 | 业务行为操作人 |      |
> | 结余账单  | 押金结余   | 精确到秒 | 收入金额 | 空    | 结余     | 业务行为操作人 |      |
> 
> * 流水相关页面调整，详情查看原型
>   
>   
>   
>   
>   
>   **（1）账单缴费**（收入）
>   
>   ***线上&线下：***
> 
> 线上线下缴费行为可进行退费，线下支付的缴费行为可进行作废。作废后仅保留作废记录，相应被作废的流水删除，相关的账单状态也恢复至流水发生前状态。
> 
> ![资产账单-账单缴费-线上](image/资产账单-账单缴费-线上.png)
> 
> ![资产账单-账单缴费-线下](image/资产账单-账单缴费-线下.png)
> 
>   ***预存抵扣：***
> 
> 预存抵扣可进行退费，将抵扣项目回退到预存款中。
> 
> ![资产账单-账单缴费-预存抵扣](image/资产账单-账单缴费-预存抵扣.png)
> 
> * **（2）账单退费**（支出）
>   
>   **线上退费：**
> 
> ![资产账单-账单退费-线上](image/资产账单-账单退费-线上.png)
> 
>   **线下退费：**
> 
> ![资产账单-账单退费-线下](image/资产账单-账单退费-线下.png)
> 
>   **预存回退：**
> 
> ![资产账单-账单退费-预存回退](image/资产账单-账单退费-预存回退.png)
> 
> * **（3）账单作废**（作废）
>   
>   **线下：**
> 
> ![资产账单-账单作废-线下](image/资产账单-账单作废-线下.png)

 3.预存款账单

> * **（1）预存款缴费**（收入）
>   
>   **线上&线下：**
> 
> ![预存款账单-预存款缴费-线上线下](image/预存款账单-预存款缴费-线上线下.png)
> 
>   **押金转存：**
> 
> ![预存款账单-预存款缴费-押金转存](image/预存款账单-预存款缴费-押金转存.png)
> 
>   **扭转转入：**
> 
> ![预存款账单-预存款扭转-扭转转入](image/预存款账单-预存扭转-扭转转入.png)
> 
>   **预存回退：**
> 
> ![预存款账单-账单退费-预存回退](image/预存款账单-账单退费-预存回退.png)
> 
> * **（2）预存款退费、扭转、抵扣**（支出）
>   
>   **线上线下：**
> 
> ![预存款账单-预存款退费-线上线下](image/预存款账单-预存款退费-线上线下.png)
> 
>   **扭转转出：
> 
> ![预存款账单-预存扭转-扭转转出](image/预存款账单-预存扭转-扭转转出.png)
> 
>   **预存抵扣：**
> 
> ![预存款账单-账单缴费-预存抵扣](image/预存款账单-账单缴费-预存抵扣.png)
> 
> * **（3）预存款作废**（作废）
>   
>   **线下：**
> 
> ![预存款账单-预存款作废-线下](image/预存款账单-预存款作废-线下.png)

 4.押金账单 

> * **（1）押金缴费**（收入）
> 
> ![押金账单-押金缴费-线上线下](image/押金账单-押金缴费-线上线下.png)
> 
> * **（2）押金退费、押金转预存款、结余**（支出）
> 
> ![押金账单-押金退费-线上线下](image/押金账单-押金退费-线上线下.png)
> 
> ![押金账单-预存款缴费-押金转存](image/押金账单-预存款缴费-押金转存.png)
> 
> ![押金账单-押金结余-结余](image/押金账单-押金结余-结余.png)
> 
> * **（3）押金作废**（作废）
> 
> ![押金账单-押金结余-结余](image/押金账单-押金结余-结余.png)

 5.临时缴费账单

> * **（1）临时账单缴费**（收入）
> 
> ![临时账单-临时账单缴费-线上线下](image/临时账单-临时账单缴费-线上线下.png)
> 
> * **（2）临时账单退费**（支出）
> 
> ![临时账单-临时账单退费-线上线下](image/临时账单-临时账单退费-线上线下.png)
> 
> * **（3）临时账单作废**（作废）
> 
> ![近视账单-临时账单作废-线下](image/临时账单-临时账单作废-线下.png)

 6.结余账单

> ![结余账单-押金结余-结余](image/结余账单-押金结余-结余.png)

---
